commit: fa82157285b3c8594958e51c362e3099ae14cb9c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 19 04:59:23 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 05:41:29 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa821572
app-admin/awscli: Bump to 1.41.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-admin/awscli/Manifest | 1 +
app-admin/awscli/awscli-1.41.9.ebuild | 92 +++++++++++++++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 58f90edc7357..7c7b38fc2484 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -4,3 +4,4 @@ DIST aws-cli-1.41.4.gh.tar.gz 2972410 BLAKE2B
ff6ec500d10a9a3d17d8524c27bdf08925
DIST aws-cli-1.41.5.gh.tar.gz 2974935 BLAKE2B
044c8df98a4ae5aa5bf8b35e4848ce4644f5cc17902f78ddfec3c465422012514836d2328c98d1a41690f0fc894a64a2e741699c5170024fe3839d495ad88077
SHA512
bea693ffddf489c82702bb0ea3efe9a0da77b426015aa39e5fa002b2ca6c06d7ace4a0c3ad79d436bfbe5919b0e8d129e62f437f942fc75ccd96e524dce54630
DIST aws-cli-1.41.7.gh.tar.gz 2975745 BLAKE2B
7129cd105fd17896e7641e3f60b567c57dcf11702c6488f9188143eef159e792078f758f2fb14641ec94048d1a2f39d4e0050cfc9ffb9fa7fb9e27432632c217
SHA512
972ef289cc9d49804422ca22156067ac70a86cfdf96a220977f2649f1475bd3a61571785ffcc19852ef8dce1b7d56101b195ab72ef9f94a97b7f6d7fdfe81332
DIST aws-cli-1.41.8.gh.tar.gz 2981706 BLAKE2B
2034f1682ba8aeb67ec070dbf5a700ed33d6be2bf8c74b3aafe5a66a6ba935bf6eeb454f58c43e838b607c1eae18d9ff9ac055fd18a50eafefa0b754184c7787
SHA512
1cfb246ef4a5668e379859eb85bf791d3fda36c23ff18b541b3a286b56049c080dacdfcddc99cb73090557ec30137a13fb67d300fd8aac4fb1bc9dca15b59b21
+DIST aws-cli-1.41.9.gh.tar.gz 2982493 BLAKE2B
5b0d7b698840c76936ccfdbee9ef029676942d4683c64298b9ccba09530e2939d5f2d71ab90883ccdb79b905835d917673235743581225f968952898c801bca6
SHA512
8465b416104500862e48c719869e07d9e6ddb875225b21e18036486f0db651c48f5e9dd4d15735a8cd47c56cee14f93d112ee139145b49be6f42b6190feff0d9
diff --git a/app-admin/awscli/awscli-1.41.9.ebuild
b/app-admin/awscli/awscli-1.41.9.ebuild
new file mode 100644
index 000000000000..ba1a897f1ae2
--- /dev/null
+++ b/app-admin/awscli/awscli-1.41.9.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 shell-completion
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y-2).z, sigh
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) - 2)).$(ver_cut 3-)"
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-forked )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[=0-9.]*::' -e 's:==:>=:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local serial_tests=(
+
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+ tests/unit/customizations/test_sessionmanager.py
+ tests/unit/test_compat.py::TestIgnoreUserSignals
+ tests/unit/test_help.py
+
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+ )
+ EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+ local EPYTEST_DESELECT=(
+ "${serial_tests[@]}"
+
+ # flaky (some ordering?)
+
tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+ )
+ # integration tests require AWS credentials and Internet access
+ epytest tests/{functional,unit}
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+ newzshcomp bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} ||
die
+}